# 49. Consulta: obtener datos en cuadrícula desde "FieldSatelliteImage"

Consulta para obtener datos en cuadrícula del conjunto raster relacionados con "FieldSatelliteImage" como `GEOJSON`  con puntos o `GEOTIFF`. El atributo properties depende del proveedor y normalmente contiene los datos originales del proveedor (como ROJO, VERDE, AZUL, NIR e incluso Tierra Clara) por punto/píxel. Más detalles sobre el archivo exportado pueden encontrarse [AQUÍ](/geopard-tutorials/esp/tour-del-producto-aplicacion-web/exportar-descargar/exportacion-de-imagenes-satelitales-como-geotiff-o-geojson.md).

#### 1. Solicitar un archivo para exportar

{% hint style="danger" %}
Se recomienda recuperar solo un único conjunto de datos con `sourceDataUrl` por solicitud.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, y `MinusTwoPixels` están disponibles como un `buffer`.

`GEOJSON` y `GEOTIFF` están disponibles como un formato.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Descargar el archivo generado

Después de la preparación exitosa del archivo, es posible descargarlo usando `curl` o un enfoque similar.

{% hint style="danger" %}
`sourceDataUrl` el enlace es accesible solo por **60 s.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/49.-consulta-obtener-datos-en-cuadricula-desde-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
